## gtk2-engines-oxygen 0.1~git20101123

=== CMakeLists.txt ===
project( oxygen-gtk )
include( UsePkgConfig )

cmake_minimum_required(VERSION 2.4)

# Define package generation
set( CPACK_PACKAGE_NAME "oxygen-gtk" )
set( CPACK_SOURCE_PACKAGE_NAME "oxygen-gtk" )
set( CPACK_SOURCE_GENERATOR TGZ )
set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Oxygen Gtk Cairo theme" )
set( CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr" )
set( CPACK_PACKAGE_VERSION_MAJOR "0" )
set( CPACK_PACKAGE_VERSION_MINOR "0" )
set( CPACK_PACKAGE_VERSION_PATCH "4" )
set( CPACK_PACKAGE_INSTALL_DIRECTORY "CMake ${CMake_VERSION_MAJOR}.${CMake_VERSION_MINOR}" )
include( CPack )

# Debugging information
set( OXYGEN_DEBUG 0 )

# X11
find_package( X11 REQUIRED )

# install prefix
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

    exec_program(
        ${PKGCONFIG_EXECUTABLE}
        ARGS --variable=prefix gtk+-2.0
        OUTPUT_VARIABLE GTK_PREFIX )

    set(CMAKE_INSTALL_PREFIX
        ${GTK_PREFIX} CACHE PATH "GTK install prefix" FORCE
        )

endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Find GTK
pkgconfig( gtk+-2.0 GTK_INCLUDE_DIR GTK_LIB_DIR GTK_LINK_FLAGS GTK_CFLAGS )

if( NOT GTK_INCLUDE_DIR )
	message( FATAL_ERROR "GTK was not found.  Ensure you have the GTK development libraries installed, and GTK's pkgconfig files are in your pkgconfig search path." )
endif( NOT GTK_INCLUDE_DIR )

message( STATUS "Found gtk include dir: ${GTK_INCLUDE_DIR}" )
message( STATUS "Found gtk library dir: ${GTK_LIB_DIR}" )

# Find cairo
pkgconfig( cairo CAIRO_INCLUDE_DIR CAIRO_LIB_DIR CAIRO_LINK_FLAGS CAIRO_CFLAGS )
if( NOT CAIRO_INCLUDE_DIR )
	message( FATAL_ERROR "Cairo was not found.  Ensure you have the Cairo development libraries installed, and Cairo's pkgconfig files are in your pkgconfig search path." )
endif( NOT CAIRO_INCLUDE_DIR )

message( STATUS "Found cairo include dir: ${CAIRO_INCLUDE_DIR}" )
message( STATUS "Found cairo library dir: ${CAIRO_LIB_DIR}" )

# installation directories
exec_program(
	${PKGCONFIG_EXECUTABLE}
	ARGS --variable=gtk_binary_version gtk+-2.0
	OUTPUT_VARIABLE GTK_VERSION )

set( INSTALL_PATH_GTK_ENGINES "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/gtk-2.0/${GTK_VERSION}/engines" CACHE PATH "The directory in which to install the theme engine library( eg. /usr/lib/gtk-2.0/2.4.0/engines )" )
message( STATUS "Installing the GTK theme engine library to: ${INSTALL_PATH_GTK_ENGINES}" )

set( INSTALL_PATH_GTK_THEMES "${CMAKE_INSTALL_PREFIX}/share/themes" CACHE PATH "The directory in which to install the theme data( eg. /usr/share/themes )" )
set( GTK_THEME_DIR ${INSTALL_PATH_GTK_THEMES}/oxygen-gtk )
message( STATUS "Installing the GTK theme engine data to: ${GTK_THEME_DIR}" )

# Setup definitions and directories to be used for linking and include
link_directories( ${GTK_LIB_DIR} ${CAIRO_LIB_DIR} ${QT_LIBRARY_DIR} )
include_directories( ${GTK_INCLUDE_DIR} ${CAIRO_INCLUDE_DIR} ${X11_X11_INCLUDE_PATH} )

# generate configuration file
configure_file( config.h.cmake ${CMAKE_BINARY_DIR}/config.h )

# Subdirectories
add_subdirectory( src )
add_subdirectory( rc )
add_subdirectory( special-icons )

=== rc/CMakeLists.txt ===

install(
	FILES gtkrc icons4 kdeglobals oxygenrc argb-blacklist.conf
	DESTINATION "${INSTALL_PATH_GTK_THEMES}/oxygen-gtk/gtk-2.0"
 )

=== src/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} )
include_directories( animations )

# Sources
set( OXYGEN-GTK-SOURCES
    oxygenapplicationname.cpp
    oxygencairocontext.cpp
    oxygencairopattern.cpp
    oxygencairoutils.cpp
    oxygencoloreffect.cpp
    oxygencolorutils.cpp
    oxygenfontinfo.cpp
    oxygengtkcellinfo.cpp
    oxygengtkicons.cpp
    oxygengtkrc.cpp
    oxygengtktypenames.cpp
    oxygengtkutils.cpp
    oxygenoptionmap.cpp
    oxygenpalette.cpp
    oxygenqtsettings.cpp
    oxygenrcstyle.cpp
    oxygenrgba.cpp
    oxygenstyle.cpp
    oxygenstylehelper.cpp
    oxygenstylewrapper.cpp
    oxygentaboptions.cpp
    oxygentheme.cpp
    oxygentileset.cpp
    oxygenwindecobutton.cpp
    oxygenwindowmanager.cpp
    animations/oxygenanimations.cpp
    animations/oxygenbaseengine.cpp
    animations/oxygencomboboxdata.cpp
    animations/oxygencomboboxentrydata.cpp
    animations/oxygenhoverdata.cpp
    animations/oxygenmainwindowdata.cpp
    animations/oxygenmenushelldata.cpp
    animations/oxygensignal.cpp
    animations/oxygenscrollbardata.cpp
    animations/oxygenscrolledwindowdata.cpp
    animations/oxygentabwidgetdata.cpp
    animations/oxygentimer.cpp
    animations/oxygentreeviewdata.cpp
 )

add_library( oxygen-gtk SHARED ${OXYGEN-GTK-SOURCES} )

# Add GTK's cflags
set( CMAKE_CXX_FLAGS " -Wall ${CMAKE_CXX_FLAGS} ${GTK_CFLAGS} -g" )
set( CMAKE_C_FLAGS " -Wall ${CMAKE_C_FLAGS} ${GTK_CFLAGS} -g" )

target_link_libraries( oxygen-gtk ${GTK_LINK_FLAGS} ${X11_X11_LIB} )

install( TARGETS oxygen-gtk DESTINATION ${INSTALL_PATH_GTK_ENGINES} )

## gtk2-engines-oxygen 1.0.3

=== debian/changelog ===
gtk2-engines-oxygen (1.0.3-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 15 Mar 2011 20:30:20 -0400

gtk2-engines-oxygen (1.0.2-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 13 Feb 2011 12:34:52 -0500

gtk2-engines-oxygen (1.0.1-0ubuntu1) natty; urgency=low

  * New upstream bugfix release
  * Port to debhelper 8:
    - Bump debian/compat to 8
    - Bump debhelper build-depend version to 8

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 13 Jan 2011 16:25:57 -0500

gtk2-engines-oxygen (1.0.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 12 Dec 2010 22:30:44 -0500

gtk2-engines-oxygen (0.1~git20101205-0ubuntu1) natty; urgency=low

  * New upstream snapshot

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 05 Dec 2010 18:47:57 -0500

gtk2-engines-oxygen (0.1~git20101123-0ubuntu1) natty; urgency=low

  * Initial release.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 23 Nov 2010 08:46:11 -0500

=== debian/control ===
Source: gtk2-engines-oxygen
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 8.0.0~), cmake, pkg-config, libgtk2.0-dev, libcairo2-dev
Standards-Version: 3.9.1
Homepage: http://gitorious.org/oxygen-gtk

Package: gtk2-engines-oxygen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Oxygen widget theme for GTK+-based apps
 This widget style is a GTK+ version of the Oxygen widget theme for Qt/KDE.
 It features clean gradients and a cohesive style that brings polish and
 consistency to the desktop.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/gtk-2.0

%:
	dh $@ --parallel

## gtk2-engines-oxygen 1.1.2

=== debian/changelog ===
gtk2-engines-oxygen (1.1.2-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends
    - Build for multiarch.
      + Add gtk_libdir_install_path.diff.
    - Remove oxygen-gtk-deco and oxygen-gtk-demo tools as they are useless
      and would have to be moved into a new package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 08 Sep 2011 23:23:18 +0200

gtk2-engines-oxygen (1.1.2-1) unstable; urgency=low

  * New upstream release. (Closes: #640916)
  * debian/gtk2-engines-oxygen.lintian-overrides: Added with overrides for
    missing manpages (demo apps don't really need them).

 -- Kai Wasserbäch <curan@debian.org>  Thu, 08 Sep 2011 18:38:26 +0200

gtk2-engines-oxygen (1.1.1-0ubuntu2) oneiric; urgency=low

  * Build for multiarch. (LP: #828360)
    - Add gtk_libdir_install_path.diff.
  * Remove oxygen-gtk-deco and oxygen-gtk-demo tools as they are useless
    and would have to be moved into a new package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 17 Aug 2011 14:31:00 +0200

gtk2-engines-oxygen (1.1.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Aug 2011 10:39:23 -0400

gtk2-engines-oxygen (1.1.0-1ubuntu2) oneiric; urgency=low

  * Put back dh_makeshlibs override that I shouldn't have removed

 -- Scott Kitterman <scott@kitterman.com>  Sat, 23 Jul 2011 12:40:25 -0400

gtk2-engines-oxygen (1.1.0-1ubuntu1) oneiric; urgency=low

  * Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends
    - This engine is only relevant when a gtk2 application is installed and
      we want to avoid dragging gtk2 onto the Kubuntu CD

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Jul 2011 18:03:03 -0400

gtk2-engines-oxygen (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: add libdbus-glib-1-dev build dependency.

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jun 2011 22:00:43 +0300

gtk2-engines-oxygen (1.0.5-1) unstable; urgency=low

  * New upstream version.
  * debian/gbp.conf: Make signed tags the default behaviour.
  * debian/control: Bumped Standards-Version to 3.9.2, no further changes
    required.
  * debian/copyright: Added myself to the "Debian packaging" section.

 -- Kai Wasserbäch <curan@debian.org>  Fri, 20 May 2011 10:13:26 +0200

gtk2-engines-oxygen (1.0.4-1) unstable; urgency=low

  * New upstream version. (Closes: #623442)

 -- Kai Wasserbäch <curan@debian.org>  Wed, 20 Apr 2011 12:49:21 +0200

gtk2-engines-oxygen (1.0.3-1) unstable; urgency=low

  * New upstream version.
    - debian/patches/LP719078_fix_assert_failure.patch: Dropped, was taken
      from upstream.
  * debian/rules: Added "--parallel" to dh_auto_configure invocation.
  * debian/watch: Added "git-import-orig" as a command.

 -- Kai Wasserbäch <curan@debian.org>  Mon, 14 Mar 2011 18:03:50 +0100

gtk2-engines-oxygen (1.0.2-2) unstable; urgency=low

  * Update debian/control:
    - Point to the correct VCS.
    - Bumped B-D on debhelper to 8.
    - Added kde-config-gtk-style to Suggests.
  * Add debian/watch file.
  * Add debian/patches/LP719078_fix_assert_failure.patch (LP: #719078) 
  * Update debian/source:
    - local-options: Added with "unapply-patches".
    - options: Added to ensure BZip2 compression.
  * Update debian/compat: raise to 8.
  * Update debian/rules:
    - Ensure minimal linking.
    - Add .PHONY line.
  * debian/gbp.conf: Ensure pristine-tar usage.

 -- Kai Wasserbäch <curan@debian.org>  Sun, 20 Feb 2011 14:08:10 +0100

gtk2-engines-oxygen (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Fri, 11 Feb 2011 11:58:52 +0200

gtk2-engines-oxygen (1.0.0+git260+36e283c-1) unstable; urgency=low

  * Initial release. (Closes: #601046)

 -- Fathi Boudra <fabo@debian.org>  Fri, 31 Dec 2010 10:31:44 +0200

=== debian/control ===
Source: gtk2-engines-oxygen
Section: gnome
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
Build-Depends: cmake, debhelper (>= 8.1.3~), libdbus-glib-1-dev, libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/gtk2-engines-oxygen.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/gtk2-engines-oxygen.git;a=summary

Package: gtk2-engines-oxygen
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kde-config-gtk-style
Description: Oxygen widget theme for GTK+-based applications
 Oxygen-Gtk is a port of the Oxygen widget style to GTK+.
 .
 It ensures visual consistency between GTK+ and Qt-based applications running
 under KDE.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_auto_install:
	dh_auto_install

	# remove useless tools
	rm debian/gtk2-engines-oxygen/usr/bin/oxygen-gtk-deco
	rm debian/gtk2-engines-oxygen/usr/bin/oxygen-gtk-demo
	rmdir debian/gtk2-engines-oxygen/usr/bin

override_dh_makeshlibs:
	# not a public library

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibgtk2.0-0

.PHONY: override_dh_makeshlibs override_dh_shlibdeps override_dh_auto_configure override_dh_auto_install

## gtk2-engines-oxygen 1.1.5

=== debian/changelog ===
gtk2-engines-oxygen (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Kai Wasserbäch <curan@debian.org>  Thu, 24 Nov 2011 10:37:07 +0100

gtk2-engines-oxygen (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/dont-build-demos.patch: Refreshed.
  * Move to debhelper compat level 9:
    - debian/rules: Remove dpkg-architecture invocation, dh v9 does it for us.
    - debian/control: Bump the B-D on debhelper and correct the B-D on cmake
      for multiarch.
    - debian/source.lintian-overrides: Added (temp. only).

 -- Kai Wasserbäch <curan@debian.org>  Tue, 18 Oct 2011 21:09:25 +0200

gtk2-engines-oxygen (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated Vcs-* entries to point to anonscm.d.o.
  * Prepare for multiarch:
    - debian/control:
      · Bumped B-D on debhelper.
      · Bumped B-D on libgtk2.0-dev (multiarch ready since 2.24.5-4).
      · Added Pre-Depends and Multi-Arch entries to binary package.
  * Don't build the two demo applications:
    - debian/rules: Set DEBIAN_NO_DEMOS.
    - debian/patches/dont-build-demos.patch: Added to make demo building
      optional.

 -- Kai Wasserbäch <curan@debian.org>  Tue, 20 Sep 2011 12:08:39 +0200

=== debian/control ===
Source: gtk2-engines-oxygen
Section: gnome
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
 debhelper (>= 8.9.4),
 libdbus-glib-1-dev,
 libgtk2.0-dev (>= 2.24.5-4)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/gtk2-engines-oxygen.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/gtk2-engines-oxygen.git;a=summary

Package: gtk2-engines-oxygen
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kde-config-gtk-style
Multi-Arch: same
Description: Oxygen widget theme for GTK+-based applications
 Oxygen-Gtk is a port of the Oxygen widget style to GTK+.
 .
 It ensures visual consistency between GTK+ and Qt-based applications running
 under KDE.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDEBIAN_NO_DEMOS=1 \
		-DCMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT=yes \
		-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0

.PHONY: override_dh_makeshlibs override_dh_auto_configure

## gtk2-engines-oxygen 1.1.6

=== debian/changelog ===
gtk2-engines-oxygen (1.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Fri, 30 Dec 2011 12:24:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
- debhelper (>= 8.9.4),
- libdbus-glib-1-dev,
- libgtk2.0-dev (>= 2.24.5-4)
+               debhelper (>= 8.9.4),
+               libdbus-glib-1-dev,
+               libgtk2.0-dev (>= 2.24.5-4)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/gtk2-engines-oxygen.git

=== debian/watch ===
version=3

opts=pasv \
  ftp://ftp.kde.org/pub/kde/stable/oxygen-gtk/([\d\.]+)/src/oxygen-gtk-([\d\.]+)\.tar\.bz2 \
  debian git-import-orig

## gtk2-engines-oxygen 1.2.0

=== CMakeLists.txt ===
project( oxygen-gtk )

cmake_minimum_required(VERSION 2.4)

###########################
# Define package generation
###########################

set( CPACK_PACKAGE_NAME "oxygen-gtk2" )
set( CPACK_SOURCE_PACKAGE_NAME "oxygen-gtk2" )
set( CPACK_SOURCE_GENERATOR TBZ2 )
set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Oxygen Gtk2 theme" )
set( CPACK_PACKAGE_VENDOR "hugo@oxygen-icons.org" )
set( CPACK_PACKAGE_VERSION_MAJOR "1" )
set( CPACK_PACKAGE_VERSION_MINOR "2" )
set( CPACK_PACKAGE_VERSION_PATCH "0" )
set( CPACK_SOURCE_IGNORE_FILES "build" "^${PROJECT_SOURCE_DIR}.*/.git/" )

##################################
# Define oxygen-gtk version string
##################################
if( EXISTS "${CMAKE_SOURCE_DIR}/.git" )
    execute_process(COMMAND sh -c "cd ${CMAKE_SOURCE_DIR} && git describe 2>/dev/null"
        OUTPUT_VARIABLE OXYGEN_VERSION
        OUTPUT_STRIP_TRAILING_WHITESPACE)
endif( EXISTS "${CMAKE_SOURCE_DIR}/.git" )
STRING(COMPARE NOTEQUAL "${OXYGEN_VERSION}" "" OXYGEN_VERSION_DETECTED )
if( NOT OXYGEN_VERSION_DETECTED )
    set( OXYGEN_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH} )
endif( NOT OXYGEN_VERSION_DETECTED )
message( "Detected oxygen version string: ${OXYGEN_VERSION}" )

set( CPACK_SOURCE_PACKAGE_FILE_NAME "oxygen-gtk2-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}" )
include( CPack )
########################
# Package specific flags
########################

# Set to 1 to enable debugging information
if( NOT DEFINED OXYGEN_DEBUG )
    set( OXYGEN_DEBUG 0 )
endif( NOT DEFINED OXYGEN_DEBUG )

# Set to 1 to enable debug logs regarding inner shadows
if( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )
    set( OXYGEN_DEBUG_INNERSHADOWS 0 )
endif( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )

# Set to 1 to replace gtk stock icons
# with oxygen-icons
if( NOT DEFINED OXYGEN_ICON_HACK )
    set( OXYGEN_ICON_HACK 1 )
endif( NOT DEFINED OXYGEN_ICON_HACK )

# Set to 1 to force KDE icons and fonts when running in non-KDE
if( NOT DEFINED OXYGEN_FORCE_KDE_ICONS_AND_FONTS )
    set( OXYGEN_FORCE_KDE_ICONS_AND_FONTS 1 )
endif( NOT DEFINED OXYGEN_FORCE_KDE_ICONS_AND_FONTS )

# Set to 1 to resize combobox list to compensate for combobox button glow width
# (may result in flicker on combo popup)
if( NOT DEFINED ENABLE_COMBOBOX_LIST_RESIZE )
    set( ENABLE_COMBOBOX_LIST_RESIZE 1 )
endif( NOT DEFINED ENABLE_COMBOBOX_LIST_RESIZE )

# Set to 0 to disable inner shadows hack
# Note this flag is automatically set to 0 if GTK version is too old (< 2.24.2)
if( NOT DEFINED ENABLE_INNER_SHADOWS_HACK )
    set( ENABLE_INNER_SHADOWS_HACK 1 )
endif( NOT DEFINED ENABLE_INNER_SHADOWS_HACK )

# set to 0 to disable groupbox hack
if( NOT DEFINED ENABLE_GROUPBOX_HACK )
    set( ENABLE_GROUPBOX_HACK 1 )
endif( NOT DEFINED ENABLE_GROUPBOX_HACK )

##############
# Requirements
##############

# install prefix
include( UsePkgConfig )
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

    exec_program(
        ${PKGCONFIG_EXECUTABLE}
        ARGS --variable=prefix gtk+-2.0
        OUTPUT_VARIABLE GTK_PREFIX )

  	message( "Info: using PKGCONFIG_EXECUTABLE to set the installation prefix" )
    set(CMAKE_INSTALL_PREFIX
        ${GTK_PREFIX} CACHE PATH "GTK install prefix" FORCE
        )
endif()

# X11
find_package( X11 REQUIRED )

# PKG_CONFIG
find_package(PkgConfig REQUIRED )

# GTK
pkg_check_modules( GTK REQUIRED gtk+-2.0 )

# Cairo
pkg_check_modules( CAIRO REQUIRED cairo )

# DBus
set( HAVE_DBUS 0 )
pkg_check_modules( DBUS dbus-glib-1 )
if( DBUS_FOUND )
    set( HAVE_DBUS 1 )
endif()

##########################
# installation directories
##########################
exec_program(
    ${PKGCONFIG_EXECUTABLE}
    ARGS --variable=gtk_binary_version gtk+-2.0
    OUTPUT_VARIABLE GTK_BIN_VERSION )

if( DEFINED LIB_SUFFIX OR NOT CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT )

 	message( "Info: using LIB_SUFFIX to set the theme engine installation path" )
    set( INSTALL_PATH_GTK_ENGINES "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/gtk-2.0/${GTK_BIN_VERSION}/engines" CACHE PATH "The directory in which to install the theme engine library( eg. /usr/lib/gtk-2.0/2.4.0/engines )" )

else()

    exec_program(
        ${PKGCONFIG_EXECUTABLE}
        ARGS --variable=libdir gtk+-2.0
        OUTPUT_VARIABLE GTK_LIBDIR_PREFIX )

 	message( "Info: using PKGCONFIG_EXECUTABLE to set the theme engine installation path" )
    set( INSTALL_PATH_GTK_ENGINES "${GTK_LIBDIR_PREFIX}/gtk-2.0/${GTK_BIN_VERSION}/engines" CACHE PATH "The directory in which to install the theme engine library( eg. /usr/lib/gtk-2.0/2.4.0/engines )" )

endif()

set( INSTALL_PATH_GTK_THEMES "${CMAKE_INSTALL_PREFIX}/share/themes" CACHE PATH "The directory in which to install the theme data( eg. /usr/share/themes )" )
set( GTK_THEME_DIR ${INSTALL_PATH_GTK_THEMES}/oxygen-gtk )

# First emit all warnings in one place
# Warn user if dbus-glib not found
if( NOT DBUS_FOUND )
    message( "Warning: dbus-glib-1 <http://dbus.freedesktop.org/releases/dbus-glib/> could not be found on your system.\nD-Bus is a simple inter-process communication system. It is used for GTK applications to be updated on the fly when KDE configuration is changed." )
endif( NOT DBUS_FOUND )

# Adjust flags based on gtk version and warn user if needed
if( ENABLE_INNER_SHADOWS_HACK AND GTK_VERSION VERSION_LESS 2.24.2 )
    message( "Warning: disabling inner shadows hack because GTK version is too old (needed 2.24.2, found ${GTK_VERSION})" )
    set( ENABLE_INNER_SHADOWS_HACK 0 )
endif( ENABLE_INNER_SHADOWS_HACK AND GTK_VERSION VERSION_LESS 2.24.2 )

#########
# summary
#########
message( "Flags: " )
message( "  OXYGEN_DEBUG ${OXYGEN_DEBUG}" )
message( "  OXYGEN_DEBUG_INNERSHADOWS ${OXYGEN_DEBUG_INNERSHADOWS}" )
message( "  HAVE_DBUS ${HAVE_DBUS}" )
message( "  OXYGEN_ICON_HACK ${OXYGEN_ICON_HACK}" )
message( "  OXYGEN_FORCE_KDE_ICONS_AND_FONTS ${OXYGEN_FORCE_KDE_ICONS_AND_FONTS}" )
message( "  ENABLE_COMBOBOX_LIST_RESIZE ${ENABLE_COMBOBOX_LIST_RESIZE}" )
message( "  ENABLE_INNER_SHADOWS_HACK ${ENABLE_INNER_SHADOWS_HACK}" )
message( "  ENABLE_GROUPBOX_HACK ${ENABLE_GROUPBOX_HACK}" )
message( "" )
message( "Paths: " )
message( "  Installing the GTK theme engine library to: ${INSTALL_PATH_GTK_ENGINES}" )
message( "  Installing the GTK theme engine data to: ${GTK_THEME_DIR}" )
message( "" )

##################
# uninstall target
##################
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)


######################################################################
# Setup definitions and directories to be used for linking and include
######################################################################
link_directories( ${GTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS} ${DBUS_LIBRARY_DIRS} )
include_directories( ${GTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ${DBUS_INCLUDE_DIRS} ${X11_X11_INCLUDE_PATH} )

#############################
# generate configuration file
#############################
configure_file( config.h.cmake ${CMAKE_BINARY_DIR}/config.h )

################
# Subdirectories
################
add_subdirectory( src )
add_subdirectory( rc )
add_subdirectory( special-icons )
add_subdirectory( demo )

=== debian/changelog ===
gtk2-engines-oxygen (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Updated (upstream renamed the tarball and changed the path).
  * debian/control: Bumped B-D on debhelper to >= 9.
  * debian/source.lintian-overrides: Removed, no longer needed.

 -- Kai Wasserbäch <curan@debian.org>  Sat, 21 Jan 2012 20:21:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
-               debhelper (>= 8.9.4),
+               debhelper (>= 9),
                libdbus-glib-1-dev,
                libgtk2.0-dev (>= 2.24.5-4)
 Standards-Version: 3.9.2

## gtk2-engines-oxygen 1.2.2

=== debian/changelog ===
gtk2-engines-oxygen (1.2.2-0ubuntu1.1) precise-proposed; urgency=low

  * Fix crash in Filezilla when connecting to a remote site. (LP: #992133)
    - Add fix-filezilla-crash.patch, cerry-picked from upstream.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 06 May 2012 11:47:50 +0200

gtk2-engines-oxygen (1.2.2-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Build-depend on libglib2.0-dev instead of libdbus-glib-1-dev.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 18 Mar 2012 00:12:17 +0100

gtk2-engines-oxygen (1.2.1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 07 Mar 2012 14:05:19 +0100

gtk2-engines-oxygen (1.2.0-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 23 Jan 2012 22:53:14 +0100

gtk2-engines-oxygen (1.1.6-1ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 10 Jan 2012 12:13:18 +0100

gtk2-engines-oxygen (1.1.3-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 15 Oct 2011 14:54:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gtk2-engines-oxygen
 Section: gnome
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
                debhelper (>= 9),
-               libdbus-glib-1-dev,
+               libglib2.0-dev (>= 2.26.0),
                libgtk2.0-dev (>= 2.24.5-4)
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,7 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0
 
-.PHONY: override_dh_makeshlibs override_dh_auto_configure
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xlibgtk2.0-0
+
+.PHONY: override_dh_makeshlibs override_dh_auto_configure override_dh_shlibdeps

## gtk2-engines-oxygen 1.2.2-0ubuntu1.1+6.0.1trisquel1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 set( CPACK_PACKAGE_VENDOR "hugo@oxygen-icons.org" )
 set( CPACK_PACKAGE_VERSION_MAJOR "1" )
 set( CPACK_PACKAGE_VERSION_MINOR "2" )
-set( CPACK_PACKAGE_VERSION_PATCH "0" )
+set( CPACK_PACKAGE_VERSION_PATCH "2" )
 set( CPACK_SOURCE_IGNORE_FILES "build" "^${PROJECT_SOURCE_DIR}.*/.git/" )
 
 ##################################
@@ -87,7 +87,7 @@
         ARGS --variable=prefix gtk+-2.0
         OUTPUT_VARIABLE GTK_PREFIX )
 
-  	message( "Info: using PKGCONFIG_EXECUTABLE to set the installation prefix" )
+    message( "Info: using PKGCONFIG_EXECUTABLE to set the installation prefix" )
     set(CMAKE_INSTALL_PREFIX
         ${GTK_PREFIX} CACHE PATH "GTK install prefix" FORCE
         )
@@ -106,11 +106,21 @@
 pkg_check_modules( CAIRO REQUIRED cairo )
 
 # DBus
+set( HAVE_DBUS_GLIB 0 )
+pkg_check_modules( GLIB_DBUS glib-2.0>=2.26 )
+if( GLIB_DBUS_FOUND )
+    set( HAVE_DBUS_GLIB 1 )
+endif()
+
 set( HAVE_DBUS 0 )
-pkg_check_modules( DBUS dbus-glib-1 )
-if( DBUS_FOUND )
-    set( HAVE_DBUS 1 )
-endif()
+if( NOT HAVE_DBUS_GLIB )
+
+    pkg_check_modules( DBUS dbus-glib-1 )
+    if( DBUS_FOUND )
+        set( HAVE_DBUS 1 )
+    endif( DBUS_FOUND)
+
+endif( NOT HAVE_DBUS_GLIB )
 
 ##########################
 # installation directories
@@ -122,7 +132,7 @@
 
 if( DEFINED LIB_SUFFIX OR NOT CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT )
 
- 	message( "Info: using LIB_SUFFIX to set the theme engine installation path" )
+    message( "Info: using LIB_SUFFIX to set the theme engine installation path" )
     set( INSTALL_PATH_GTK_ENGINES "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/gtk-2.0/${GTK_BIN_VERSION}/engines" CACHE PATH "The directory in which to install the theme engine library( eg. /usr/lib/gtk-2.0/2.4.0/engines )" )
 
 else()
@@ -132,7 +142,7 @@
         ARGS --variable=libdir gtk+-2.0
         OUTPUT_VARIABLE GTK_LIBDIR_PREFIX )
 
- 	message( "Info: using PKGCONFIG_EXECUTABLE to set the theme engine installation path" )
+    message( "Info: using PKGCONFIG_EXECUTABLE to set the theme engine installation path" )
     set( INSTALL_PATH_GTK_ENGINES "${GTK_LIBDIR_PREFIX}/gtk-2.0/${GTK_BIN_VERSION}/engines" CACHE PATH "The directory in which to install the theme engine library( eg. /usr/lib/gtk-2.0/2.4.0/engines )" )
 
 endif()
@@ -142,9 +152,10 @@
 
 # First emit all warnings in one place
 # Warn user if dbus-glib not found
-if( NOT DBUS_FOUND )
-    message( "Warning: dbus-glib-1 <http://dbus.freedesktop.org/releases/dbus-glib/> could not be found on your system.\nD-Bus is a simple inter-process communication system. It is used for GTK applications to be updated on the fly when KDE configuration is changed." )
-endif( NOT DBUS_FOUND )
+if( NOT HAVE_DBUS_GLIB AND NOT HAVE_DBUS )
+    message( "Warning: a recent enough version of glib-2.0 <http://www.gtk.org/> could not be found on your system. \n oxygen-gtk will not have D-Bus support.\nD-Bus is a simple inter-process communication system. It is used for GTK applications to be updated on the fly when KDE configuration is changed." )
+    message( "Warning: alternatively you can install dbus-glib-1 <http://dbus.freedesktop.org/releases/dbus-glib/>." )
+endif()
 
 # Adjust flags based on gtk version and warn user if needed
 if( ENABLE_INNER_SHADOWS_HACK AND GTK_VERSION VERSION_LESS 2.24.2 )
@@ -158,6 +169,7 @@
 message( "Flags: " )
 message( "  OXYGEN_DEBUG ${OXYGEN_DEBUG}" )
 message( "  OXYGEN_DEBUG_INNERSHADOWS ${OXYGEN_DEBUG_INNERSHADOWS}" )
+message( "  HAVE_DBUS_GLIB ${HAVE_DBUS_GLIB}" )
 message( "  HAVE_DBUS ${HAVE_DBUS}" )
 message( "  OXYGEN_ICON_HACK ${OXYGEN_ICON_HACK}" )
 message( "  OXYGEN_FORCE_KDE_ICONS_AND_FONTS ${OXYGEN_FORCE_KDE_ICONS_AND_FONTS}" )
@@ -199,4 +211,6 @@
 add_subdirectory( src )
 add_subdirectory( rc )
 add_subdirectory( special-icons )
-add_subdirectory( demo )
+if( NOT DEBIAN_NO_DEMOS )
+  add_subdirectory( demo )
+endif( NOT DEBIAN_NO_DEMOS )

=== debian/changelog ===
gtk2-engines-oxygen (1.2.2-0ubuntu1.1+6.0.1trisquel1) toutatis; urgency=low

  * Added Trisquel's "abrowser" to XulAppNames, Trisquel issue #10944

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 28 May 2014 03:37:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gtk2-engines-oxygen
 Section: gnome
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),

## gtk2-engines-oxygen 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 set( CPACK_PACKAGE_VENDOR "hugo@oxygen-icons.org" )
 set( CPACK_PACKAGE_VERSION_MAJOR "1" )
 set( CPACK_PACKAGE_VERSION_MINOR "2" )
-set( CPACK_PACKAGE_VERSION_PATCH "2" )
+set( CPACK_PACKAGE_VERSION_PATCH "4" )
 set( CPACK_SOURCE_IGNORE_FILES "build" "^${PROJECT_SOURCE_DIR}.*/.git/" )
 
 ##################################
@@ -45,6 +45,11 @@
 if( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )
     set( OXYGEN_DEBUG_INNERSHADOWS 0 )
 endif( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )
+
+# Set to 1 to build windeco test app (normal users rarely need this)
+if( NOT DEFINED BUILD_DECO_TEST )
+    set( BUILD_DECO_TEST 0 )
+endif( NOT DEFINED BUILD_DECO_TEST )
 
 # Set to 1 to replace gtk stock icons
 # with oxygen-icons
@@ -105,23 +110,6 @@
 # Cairo
 pkg_check_modules( CAIRO REQUIRED cairo )
 
-# DBus
-set( HAVE_DBUS_GLIB 0 )
-pkg_check_modules( GLIB_DBUS glib-2.0>=2.26 )
-if( GLIB_DBUS_FOUND )
-    set( HAVE_DBUS_GLIB 1 )
-endif()
-
-set( HAVE_DBUS 0 )
-if( NOT HAVE_DBUS_GLIB )
-
-    pkg_check_modules( DBUS dbus-glib-1 )
-    if( DBUS_FOUND )
-        set( HAVE_DBUS 1 )
-    endif( DBUS_FOUND)
-
-endif( NOT HAVE_DBUS_GLIB )
-
 ##########################
 # installation directories
 ##########################
@@ -151,12 +139,6 @@
 set( GTK_THEME_DIR ${INSTALL_PATH_GTK_THEMES}/oxygen-gtk )
 
 # First emit all warnings in one place
-# Warn user if dbus-glib not found
-if( NOT HAVE_DBUS_GLIB AND NOT HAVE_DBUS )
-    message( "Warning: a recent enough version of glib-2.0 <http://www.gtk.org/> could not be found on your system. \n oxygen-gtk will not have D-Bus support.\nD-Bus is a simple inter-process communication system. It is used for GTK applications to be updated on the fly when KDE configuration is changed." )
-    message( "Warning: alternatively you can install dbus-glib-1 <http://dbus.freedesktop.org/releases/dbus-glib/>." )
-endif()
-
 # Adjust flags based on gtk version and warn user if needed
 if( ENABLE_INNER_SHADOWS_HACK AND GTK_VERSION VERSION_LESS 2.24.2 )
     message( "Warning: disabling inner shadows hack because GTK version is too old (needed 2.24.2, found ${GTK_VERSION})" )
@@ -168,9 +150,8 @@
 #########
 message( "Flags: " )
 message( "  OXYGEN_DEBUG ${OXYGEN_DEBUG}" )
+message( "  BUILD_DECO_TEST ${BUILD_DECO_TEST}" )
 message( "  OXYGEN_DEBUG_INNERSHADOWS ${OXYGEN_DEBUG_INNERSHADOWS}" )
-message( "  HAVE_DBUS_GLIB ${HAVE_DBUS_GLIB}" )
-message( "  HAVE_DBUS ${HAVE_DBUS}" )
 message( "  OXYGEN_ICON_HACK ${OXYGEN_ICON_HACK}" )
 message( "  OXYGEN_FORCE_KDE_ICONS_AND_FONTS ${OXYGEN_FORCE_KDE_ICONS_AND_FONTS}" )
 message( "  ENABLE_COMBOBOX_LIST_RESIZE ${ENABLE_COMBOBOX_LIST_RESIZE}" )
@@ -197,8 +178,8 @@
 ######################################################################
 # Setup definitions and directories to be used for linking and include
 ######################################################################
-link_directories( ${GTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS} ${DBUS_LIBRARY_DIRS} )
-include_directories( ${GTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ${DBUS_INCLUDE_DIRS} ${X11_X11_INCLUDE_PATH} )
+link_directories( ${GTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS} )
+include_directories( ${GTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ${X11_X11_INCLUDE_PATH} )
 
 #############################
 # generate configuration file
@@ -211,6 +192,4 @@
 add_subdirectory( src )
 add_subdirectory( rc )
 add_subdirectory( special-icons )
-if( NOT DEBIAN_NO_DEMOS )
-  add_subdirectory( demo )
-endif( NOT DEBIAN_NO_DEMOS )
+add_subdirectory( demo )

=== demo/CMakeLists.txt ===
# For config.h to be available
include_directories( ${CMAKE_BINARY_DIR} )

########### next target ###############
set( oxygen_gtk_demo_SOURCES
    oxygenbuttondemowidget.cpp
    oxygendemodialog.cpp
    oxygendemowidget.cpp
    oxygenframedemowidget.cpp
    oxygeninputdemowidget.cpp
    oxygenlistdemowidget.cpp
    oxygensignal.cpp
    oxygensliderdemowidget.cpp
    oxygentimer.cpp
    oxygentabdemowidget.cpp
    oxygengtkdemo_main.cpp
 )

add_executable( oxygen-gtk-demo ${oxygen_gtk_demo_SOURCES} )
target_link_libraries( oxygen-gtk-demo ${GTK_LIBRARIES} ${CAIRO_LIBRARIES} ${X11_X11_LIB} )
install( TARGETS oxygen-gtk-demo DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )

########### next target ###############
if( BUILD_DECO_TEST )
    set( deco_test_SOURCES oxygengtkdeco_main.cpp )
    add_executable( oxygen-gtk-deco ${deco_test_SOURCES} )
    target_link_libraries( oxygen-gtk-deco ${GTK_LIBRARIES} ${CAIRO_LIBRARIES} ${X11_X11_LIB} ${CMAKE_DL_LIBS} )
    install( TARGETS oxygen-gtk-deco DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )
endif( BUILD_DECO_TEST )

=== debian/changelog ===
gtk2-engines-oxygen (1.2.4-1) unstable; urgency=low

  * New upstream release.
    - Fix codeblocks crash. (Closes: #670830)

  [ Kai Wasserbäch ]
  * debian/control: Change B-D from libdbus-glib-1-dev to libglib2.0-dev
    >= 2.26.0, preferred by upstream's build system.

  [ Fathi Boudra ]
  * Update debian/rules: use DEB_LDFLAGS_MAINT_APPEND. (Closes: #669182)

 -- Fathi Boudra <fabo@debian.org>  Tue, 22 May 2012 10:08:56 +0300

gtk2-engines-oxygen (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/dont-build-demos.patch: Refreshed.
  * debian/control: Bumped Standards-Version, no further changes needed.
  * debian/copyright: Updated.

 -- Kai Wasserbäch <curan@debian.org>  Wed, 14 Mar 2012 19:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: gtk2-engines-oxygen
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
                debhelper (>= 9),
                libglib2.0-dev (>= 2.26.0),
                libgtk2.0-dev (>= 2.24.5-4)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/gtk2-engines-oxygen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/gtk2-engines-oxygen.git;a=summary

## gtk2-engines-oxygen 1.3.0

=== debian/changelog ===
gtk2-engines-oxygen (1.3.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jul 2012 15:38:45 +0100

gtk2-engines-oxygen (1.2.4-1ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 07 Jun 2012 09:39:24 -0400

gtk2-engines-oxygen (1.2.3-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Fixes crash in Filezilla. (LP: #992133)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 06 May 2012 11:57:43 +0200

## gtk2-engines-oxygen 1.3.1

=== debian/changelog ===
gtk2-engines-oxygen (1.3.1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 20 Nov 2012 11:50:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gtk2-engines-oxygen
 Section: gnome
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Kai Wasserbäch <curan@debian.org>
 Build-Depends: cmake (>= 2.8.4+dfsg.1-3),
                debhelper (>= 9),

## gtk2-engines-oxygen 1.3.3

=== src/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} )
include_directories( animations )

# Sources
# please keep this list alphabetically sorted for clarity
set( oxygen_gtk_SOURCES
    animations/oxygenanimations.cpp
    animations/oxygenarrowstatedata.cpp
    animations/oxygenbackgroundhintengine.cpp
    animations/oxygenbaseengine.cpp
    animations/oxygencomboboxdata.cpp
    animations/oxygencomboboxentrydata.cpp
    animations/oxygendialogengine.cpp
    animations/oxygenflatwidgetengine.cpp
    animations/oxygenfollowmousedata.cpp
    animations/oxygenhook.cpp
    animations/oxygenhoverdata.cpp
    animations/oxygeninnershadowdata.cpp
    animations/oxygenmainwindowdata.cpp
    animations/oxygenmenubarstatedata.cpp
    animations/oxygenmenustatedata.cpp
    animations/oxygenmenuitemengine.cpp
    animations/oxygenmenuitemdata.cpp
    animations/oxygenpaneddata.cpp
    animations/oxygensignal.cpp
    animations/oxygenscrollbardata.cpp
    animations/oxygenscrollbarstatedata.cpp
    animations/oxygenscrolledwindowdata.cpp
    animations/oxygentabwidgetdata.cpp
    animations/oxygentabwidgetstatedata.cpp
    animations/oxygentimeline.cpp
    animations/oxygentimelineserver.cpp
    animations/oxygentimer.cpp
    animations/oxygentoolbarstatedata.cpp
    animations/oxygentreeviewdata.cpp
    animations/oxygentreeviewengine.cpp
    animations/oxygentreeviewstatedata.cpp
    animations/oxygenwidgetstatedata.cpp
    animations/oxygenwidgetstateengine.cpp
    oxygenapplicationname.cpp
    oxygenargbhelper.cpp
    oxygencairocontext.cpp
    oxygencairoutils.cpp
    oxygencoloreffect.cpp
    oxygencolorutils.cpp
    oxygenfontinfo.cpp
    oxygengtkcellinfo.cpp
    oxygengtkicons.cpp
    oxygengtkrc.cpp
    oxygengtktypenames.cpp
    oxygengtkutils.cpp
    oxygenloghandler.cpp
    oxygenobjectcounter.cpp
    oxygenobjectcountermap.cpp
    oxygenoptionmap.cpp
    oxygenpalette.cpp
    oxygenpathlist.cpp
    oxygenpropertynames.cpp
    oxygenqtsettings.cpp
    oxygenrcstyle.cpp
    oxygenrgba.cpp
    oxygenshadowconfiguration.cpp
    oxygenshadowhelper.cpp
    oxygenstyle.cpp
    oxygenstylehelper.cpp
    oxygenstyleoptions.cpp
    oxygenstylewrapper.cpp
    oxygentaboptions.cpp
    oxygentheme.cpp
    oxygentileset.cpp
    oxygenwindecobutton.cpp
    oxygenwindecooptions.cpp
    oxygenwindowmanager.cpp
    oxygenwindowshadow.cpp
)

add_library( oxygen-gtk SHARED ${oxygen_gtk_SOURCES} )

# Add debug cflags
set( CMAKE_CXX_FLAGS " -Wall -g ${CMAKE_CXX_FLAGS}" )
set( CMAKE_C_FLAGS " -Wall -g ${CMAKE_C_FLAGS}" )

target_link_libraries( oxygen-gtk ${GTK_LIBRARIES} ${CAIRO_LIBRARIES} ${X11_X11_LIB} )

install( TARGETS oxygen-gtk DESTINATION ${INSTALL_PATH_GTK_ENGINES} )

=== debian/changelog ===
gtk2-engines-oxygen (1.3.3-2ubuntu0.1) raring-proposed; urgency=low

  * No change backport to Raring (LP: #963736)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 31 May 2013 15:28:56 +0530

gtk2-engines-oxygen (1.3.3-2ubuntu1) saucy; urgency=low

  * Merge with debian, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 31 May 2013 12:47:40 +0530

gtk2-engines-oxygen (1.3.3-2) unstable; urgency=low

  * Team upload.
  * Add popen-instead-of-g_spawn_command_line_sync.patch
    from upstream (Closes: #707699).

 -- Ralf Jung <post@ralfj.de>  Thu, 23 May 2013 21:16:30 +0200

gtk2-engines-oxygen (1.3.3-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 12 May 2013 11:17:23 +0200

gtk2-engines-oxygen (1.3.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh dont-build-demos.patch.
  * Bumped Standards-Version to 3.9.4, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 11 May 2013 22:35:11 +0200

## gtk2-engines-oxygen 1.3.4

=== debian/changelog ===
gtk2-engines-oxygen (1.3.4-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Drop popen-instead-of-g_spawn_command_line_sync.patch, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Jun 2013 07:05:25 +0100

## gtk2-engines-oxygen 1.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,10 +10,10 @@
 set( CPACK_SOURCE_PACKAGE_NAME "oxygen-gtk2" )
 set( CPACK_SOURCE_GENERATOR TBZ2 )
 set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Oxygen Gtk2 theme" )
-set( CPACK_PACKAGE_VENDOR "hugo@oxygen-icons.org" )
+set( CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr" )
 set( CPACK_PACKAGE_VERSION_MAJOR "1" )
-set( CPACK_PACKAGE_VERSION_MINOR "2" )
-set( CPACK_PACKAGE_VERSION_PATCH "4" )
+set( CPACK_PACKAGE_VERSION_MINOR "4" )
+set( CPACK_PACKAGE_VERSION_PATCH "5" )
 set( CPACK_SOURCE_IGNORE_FILES "build" "^${PROJECT_SOURCE_DIR}.*/.git/" )
 
 ##################################
@@ -41,6 +41,11 @@
     set( OXYGEN_DEBUG 0 )
 endif( NOT DEFINED OXYGEN_DEBUG )
 
+# Set to 1 to disable all signal hooks used for various features
+if( NOT DEFINED DISABLE_SIGNAL_HOOKS )
+    set( DISABLE_SIGNAL_HOOKS 0 )
+endif( NOT DEFINED DISABLE_SIGNAL_HOOKS )
+
 # Set to 1 to enable debug logs regarding inner shadows
 if( NOT DEFINED OXYGEN_DEBUG_INNERSHADOWS )
     set( OXYGEN_DEBUG_INNERSHADOWS 0 )
@@ -106,9 +111,11 @@
 
 # GTK
 pkg_check_modules( GTK REQUIRED gtk+-2.0 )
+add_definitions( ${GTK_CFLAGS_OTHER} )
 
 # Cairo
 pkg_check_modules( CAIRO REQUIRED cairo )
+add_definitions( ${CAIRO_CFLAGS_OTHER} )
 
 ##########################
 # installation directories
@@ -150,6 +157,7 @@
 #########
 message( "Flags: " )
 message( "  OXYGEN_DEBUG ${OXYGEN_DEBUG}" )
+message( "  DISABLE_SIGNAL_HOOKS ${DISABLE_SIGNAL_HOOKS}" )
 message( "  BUILD_DECO_TEST ${BUILD_DECO_TEST}" )
 message( "  OXYGEN_DEBUG_INNERSHADOWS ${OXYGEN_DEBUG_INNERSHADOWS}" )
 message( "  OXYGEN_ICON_HACK ${OXYGEN_ICON_HACK}" )
@@ -193,3 +201,4 @@
 add_subdirectory( rc )
 add_subdirectory( special-icons )
 add_subdirectory( demo )
+

=== debian/changelog ===
gtk2-engines-oxygen (1.4.5-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 16:26:49 +0100

gtk2-engines-oxygen (1.4.3-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * One major issue was fixed (basically some dangling
    pointers being wrongly accessed). (LP: #1219844)

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 12 Feb 2014 06:35:44 -0800

gtk2-engines-oxygen (1.4.0-1ubuntu1) trusty; urgency=low

  * Merge with debian, remaining changes:
    - Fix dh_shlibdeps to exclude libgtk2.0-0 from Depends

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 18 Nov 2013 07:00:08 +1100

gtk2-engines-oxygen (1.4.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh dont-build-demos.patch.
  * Drop popen-instead-of-g_spawn_command_line_sync.patch, no
    longer needed.

 -- Ralf Jung <post@ralfj.de>  Wed, 30 Oct 2013 08:58:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper (>= 9),
                libglib2.0-dev (>= 2.26.0),
                libgtk2.0-dev (>= 2.24.5-4)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/gtk2-engines-oxygen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/gtk2-engines-oxygen.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDEBIAN_NO_DEMOS=1 \
		-DCMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT=yes

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibgtk2.0-0

.PHONY: override_dh_makeshlibs override_dh_auto_configure override_dh_shlibdeps
